## wmsetimon 0.4-4

=== Makefile ===
# (c)2000, redseb

SRC = wmsetimon.c wmgeneral.c
EXE = wmsetimon

OBJ = $(SRC:.c=.o)
CFLAGS = -Wall -O3
LIB = -L/usr/X11R6/lib -lXpm -lXext -lX11
INSTALL = /usr/bin/install
CC = gcc

# Debian compliance
DESTDIR=
BINDIR=$(DESTDIR)/usr/bin


all: $(OBJ)
	$(CC) -o $(EXE) $(OBJ) $(LIB)

$(OBJ): %.o : %.c 
	$(CC) $(CFLAGS) -c -o $@ $<


clean:
	rm -rf $(EXE)
	rm -rf *.o
	rm -rf ../wmgeneral/*.o
	rm -rf *~

install:
	
	$(INSTALL) $(EXE) $(BINDIR)

=== debian/changelog ===
wmsetimon (0.4-4) unstable; urgency=low

  * The " I forgot my patch" update 

 -- Julien Danjou <acid@debian.org>  Sat,  6 Jul 2002 01:44:12 +0200

wmsetimon (0.4-3) unstable; urgency=low

  * Change setiathome path (not ./setiathome but system setiathome in $PATH) 

 -- Julien Danjou <acid@debian.org>  Fri,  5 Jul 2002 06:43:05 +0200

wmsetimon (0.4-2) unstable; urgency=low

  * Remove sys/io.h from standards.h for portability (Closes: #144733)

 -- Julien Danjou <acid@debian.org>  Sun, 28 Apr 2002 19:04:24 +0200

wmsetimon (0.4-1) unstable; urgency=low

  * Initial Release. (Closes: #143565)

 -- Julien Danjou <acid@debian.org>  Sun, 21 Apr 2002 00:09:56 +0200

=== debian/control ===
Source: wmsetimon
Section: contrib/x11
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>> 3.0.0), xlibs-dev
Standards-Version: 3.5.2

Package: wmsetimon
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wmaker, setiathome
Description: A dock app which show you the current state of your SETI@Home units.
 wmsetimon is a dock app written for WindowMaker (works with other windowmanager)
 It shows you the state of your currents SETI@Home processes. It can monitor 1 to
 9 processes and stop or run a SETI@Home instance.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/wmsetimon.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/wmsetimon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installpam
#	dh_installmime
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## wmsetimon 0.5

=== wmsetimon/Makefile ===
# (c)2000, redseb


SRC = wmsetimon.c ../wmgeneral/wmgeneral.c

EXE = wmsetimon


OBJ = $(SRC:.c=.o)

CFLAGS = -Wall -O3 -m486 -g

LIB = -L/usr/X11R6/lib -lXpm -lXext -lX11

INSTALL = /usr/bin/install

CC = gcc

all: $(OBJ)
	$(CC) -o $(EXE) $(OBJ) $(LIB)

$(OBJ): %.o : %.c 
	$(CC) $(CFLAGS) -c -o $@ $<


clean:
	rm -rf $(EXE)
	rm -rf *.o
	rm -rf ../wmgeneral/*.o

install:
	
	$(INSTALL) $(EXE) /usr/local/bin/
